Skip to main content

Create Resident Charge: Entrata

POSThttps://api.propexo.com/v1/resident-charges/entrata/
Method
artransactions/sendLeaseArTransactions
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    charge_code_idstringrequired

    The Propexo unique identifier for the charge code

    transaction_datestringrequired

    The transaction date of the resident charge. The timestamp will be stripped off and only the date will be used

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    post_monthstring

    The post month for the resident charge. The timestamp and day will be stripped off and only the month and year will be used

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    amount_in_centsintegerrequired

    The amount of the resident charge, in cents. A positive charge represents an increase of money owed. A negative charge represents a reduction of money owed

    descriptionstringrequired

    Description of the resident charge

    third_party_charge_idstring

    A unique value provided to Entrata to uniquely identify the transaction from your system. This can be an alphanumeric string. This does not become the ID of the transaction in Entrata. If not provided, Propexo will generate one

    is_approval_requiredboolean

    Whether or not the resident charge requires approval. This will require the charge be approved first before being posted to the ledger

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    charge_code_idstringrequired

    The Propexo unique identifier for the charge code

    transaction_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    post_monthstring | nullnullablerequired

    The post month for the resident charge. The timestamp and day will be stripped off and only the month and year will be used

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    amount_in_centsintegerrequired

    The amount of the resident charge, in cents. A positive charge represents an increase of money owed. A negative charge represents a reduction of money owed

    descriptionstringrequired

    Description of the resident charge

    third_party_charge_idstring | nullnullablerequired

    A unique value provided to Entrata to uniquely identify the transaction from your system. This can be an alphanumeric string. This does not become the ID of the transaction in Entrata. If not provided, Propexo will generate one

    is_approval_requiredboolean | nullnullablerequired

    Whether or not the resident charge requires approval. This will require the charge be approved first before being posted to the ledger

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-charges/entrata/
curl -X POST https://api.propexo.com/v1/resident-charges/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"charge_code_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"amount_in_cents": 0,
"description": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"charge_code_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"post_month": "2024-07-29T15:51:28.071Z",
"amount_in_cents": 0,
"description": "string",
"third_party_charge_id": "string",
"is_approval_required": true
}
}